Bug 1223627 - Review Request: gap-pkg-edim - Elementary divisors of integer matrices
Summary: Review Request: gap-pkg-edim - Elementary divisors of integer matrices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-21 04:38 UTC by Jerry James
Modified: 2015-06-10 19:12 UTC (History)
2 users (show)

Fixed In Version: gap-pkg-edim-1.3.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 19:12:33 UTC
Type: ---
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2015-05-21 04:38:37 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-edim/gap-pkg-edim.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-edim/gap-pkg-edim-1.3.2-1.fc23.src.rpm
Fedora Account System Username: jjames
Description: The main purpose of the EDIM package is to publish an implementation of an algorithm (found by the package author) for computing prime parts of the elementary divisors of integer matrices (i.e., the diagonal entries of the Smith normal form).

The programs are developed and already successfully used for large matrices (up to rank >12000) with moderate entries and many non-trivial elementary divisors which are products of some small primes. But they should be useful for other types of matrices as well.

Among the other functions of the package are:
- an inversion algorithm for large rational matrices (using a p-adic method)
- a program for finding the largest elementary divisor of an integral matrix (particularly interesting when this is much smaller than the determinant) and
- implementations of some normal form algorithms described by Havas, Majewski, Matthews, Sterling (using LLL- or modular techniques).

Comment 1 gil cattaneo 2015-05-28 07:38:09 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
 NOTE: manual review

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 6 files have unknown license. Detailed
     output of licensecheck in /home/gil/1223627-gap-pkg-edim/srpm/review-
     gap-pkg-edim/licensecheck.txt
   MPLv1.1: edim/doc/mathml.css
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.8 starting (python version = 2.7.5)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.8
INFO: Mock Version: 1.2.8
Finish: chroot init
INFO: installing package(s): /home/gil/1223627-gap-pkg-edim/srpm/gap-pkg-edim-1.3.2-1.fc23.i686.rpm /home/gil/1223627-gap-pkg-edim/srpm/gap-pkg-edim-debuginfo-1.3.2-1.fc23.i686.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 23 install /home/gil/1223627-gap-pkg-edim/srpm/gap-pkg-edim-1.3.2-1.fc23.i686.rpm /home/gil/1223627-gap-pkg-edim/srpm/gap-pkg-edim-debuginfo-1.3.2-1.fc23.i686.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: gap-pkg-edim-1.3.2-1.fc23.i686.rpm
          gap-pkg-edim-1.3.2-1.fc23.src.rpm
gap-pkg-edim.i686: W: spelling-error %description -l en_US adic -> acid, addict, dyadic
gap-pkg-edim.i686: W: file-not-utf8 /usr/lib/gap/pkg/edim/doc/edim.bib
gap-pkg-edim.i686: W: devel-file-in-non-devel-package /usr/lib/gap/pkg/edim/src/ediv.c
gap-pkg-edim.i686: W: devel-file-in-non-devel-package /usr/lib/gap/pkg/edim/src/compstat_with_ediv.c
gap-pkg-edim.i686: W: file-not-utf8 /usr/lib/gap/pkg/edim/doc/edim.bbl
gap-pkg-edim.i686: E: incorrect-fsf-address /usr/share/licenses/gap-pkg-edim/GPL
gap-pkg-edim.src: W: spelling-error %description -l en_US adic -> acid, addict, dyadic
gap-pkg-edim.src:43: W: configure-without-libdir-spec
2 packages and 0 specfiles checked; 1 errors, 7 warnings.




Requires
--------
gap-pkg-edim (rpmlib, GLIBC filtered):
    /usr/bin/update-gap-workspace
    gap-core
    libc.so.6
    rtld(GNU_HASH)



Provides
--------
gap-pkg-edim:
    gap-pkg-edim
    gap-pkg-edim(x86-32)



Unversioned so-files
--------------------
gap-pkg-edim: /usr/lib/gap/pkg/edim/bin/i686-redhat-linux-gnu-gcc-default32/ediv.so

Source checksums
----------------
http://www.math.rwth-aachen.de/~Frank.Luebeck/EDIM/edim-1.3.2.tar.bz2 :
  CHECKSUM(SHA256) this package     : c5e939b7d8f65371de43076a3a4fa6df8213608fed87dfbfd5ae371592c6d5e8
  CHECKSUM(SHA256) upstream package : c5e939b7d8f65371de43076a3a4fa6df8213608fed87dfbfd5ae371592c6d5e8


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -vpn gap-pkg-edim -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 gil cattaneo 2015-05-28 07:44:53 UTC
NON blocking ISSUES:

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 6 files have unknown license. Detailed
     output of licensecheck in /home/gil/1223627-gap-pkg-edim/srpm/review-
     gap-pkg-edim/licensecheck.txt
   MPLv1.1: edim/doc/mathml.css
license field should changed in: GPLv2+ and MPLv1.1
gap-pkg-edim.i686: E: incorrect-fsf-address /usr/share/licenses/gap-pkg-edim/GPL
https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
Please, report this problem to upstream

minor issues:
gap-pkg-edim.i686: W: file-not-utf8 /usr/lib/gap/pkg/edim/doc/edim.bib
gap-pkg-edim.i686: W: file-not-utf8 /usr/lib/gap/pkg/edim/doc/edim.bbl

Please, fix before import

Comment 3 gil cattaneo 2015-05-28 07:51:45 UTC
can you review https://bugzilla.redhat.com/show_bug.cgi?id=1177451 ?

Comment 4 Jerry James 2015-05-28 20:41:27 UTC
(In reply to gil cattaneo from comment #2)
> Please, fix before import

Okay, I will fix all of those before import.  Thank you very much for the review.

(In reply to gil cattaneo from comment #3)
> can you review https://bugzilla.redhat.com/show_bug.cgi?id=1177451 ?

Certainly.

Comment 5 Jerry James 2015-05-28 20:42:30 UTC
New Package SCM Request
=======================
Package Name: gap-pkg-edim
Short Description: Elementary divisors of integer matrices
Upstream URL: http://www.math.rwth-aachen.de/~Frank.Luebeck/EDIM/
Owners: jjames
Branches: f22
InitialCC:

Comment 6 Gwyn Ciesla 2015-05-29 12:16:26 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-05-29 22:48:37 UTC
gap-pkg-edim-1.3.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gap-pkg-edim-1.3.2-1.fc22

Comment 8 Fedora Update System 2015-06-01 17:02:14 UTC
gap-pkg-edim-1.3.2-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 9 Fedora Update System 2015-06-10 19:12:33 UTC
gap-pkg-edim-1.3.2-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.